from src.detections import NameDetection, SurnameDetection, CityDetection
from src.detectors.ner import NerDetector

def test_detect_names_pl_liner_n5():
    detector = NerDetector("pl")
    
    ccl_annotations = {
        'person_first_nam': [(10, 16, 'Marian'), (100, 109, 'Magdalena')],
        'person_last_nam': [(30, 35, 'Nowak')],
        'city_nam': [(50, 59, 'Wrocławiu')],
        'some_other_annotation': [(120, 124, 'zowd')],
    }
    
    result = detector.detect("", ccl_annotations)
    
    expected = [
        (10, 16, NameDetection()), 
        (100, 109, NameDetection()),
        (30, 35, SurnameDetection()),
        (50, 59, CityDetection()),
    ]
    
    assert set(result) == set(expected)